Bug 98226 - Undo "AutoFormat Table Styles" is incorrect
Summary: Undo "AutoFormat Table Styles" is incorrect
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.3.0 target:5.1.4 target:5.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-27 13:12 UTC by lwchkg
Modified: 2016-10-25 18:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
How to reproduce the mistakes (970.80 KB, video/mp4)
2016-02-27 13:12 UTC, lwchkg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lwchkg 2016-02-27 13:12:11 UTC
Created attachment 123035 [details]
How to reproduce the mistakes

Instructions to reproduce:
1. Start LibreOffice
2. Make the following table (3 rows x 2 columns)
   a  b
   c  d
   e  f
3. While the cursor is inside the table, find and click the "AutoFormat Table styles" in the toolbar.
4. Select the format "Blue" and check all boxes in "Formatting".
5. Press "OK".
6. Undo.
7. Remove any row.

Expected result:
The table appears unformatted.

Actual result:
The table is formatted exactly the same as the result in step 5.

Note:
I cannot reproduce the bug in version 5.0.1, so this is likely a regression.
Comment 1 raal 2016-02-27 21:00:54 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47

Works in LO 4.2, regression
Comment 2 raal 2016-02-29 13:04:37 UTC
This seems to have begun at the below commit.
Adding Cc: to Jan Holesovsky; Could you possibly take a look at this one? Thanks


Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Sep 27 16:28:54 2015 -0700

    source sha:73f4a06c0bce51c7c8b9ae9adfdc7ffac27d06b4

    source sha:73f4a06c0bce51c7c8b9ae9adfdc7ffac27d06b4

author	Jan Holesovsky <kendy@collabora.com>	2015-09-26 15:55:31 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2015-09-27 20:48:21 (GMT)
commit	73f4a06c0bce51c7c8b9ae9adfdc7ffac27d06b4 (patch)
tree	aec530a6ce7f784b113544ccc4cc794b167338b2
parent	ac6f8bc92b1abe995694602f43d8ad108b7030fb (diff)
sw table styles: Insert column, split table, delete row/column.
Comment 3 Michael Stahl (CIB) 2016-05-30 21:23:25 UTC
fixed on master
Comment 4 Commit Notification 2016-05-30 21:23:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b042d2865c5bb2c2dde1dd47de124bc0df61ae8

tdf#98226: fix undo of table AutoFormat

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-31 14:49:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d12a9cb847029d89edf0829a27de58375f9f2741&h=libreoffice-5-1

tdf#98226: fix undo of table AutoFormat

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Daniël van Vuuren 2016-06-03 08:10:35 UTC
Verified fix in daily of today

Version: 5.3.0.0.alpha0+
Build ID: 6b3b352b06d92ef20194b9a992a521af2ef07b48
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF-dbg, Branch:master, Time: 2016-06-03_00:38:56
Comment 7 Commit Notification 2016-06-07 07:21:47 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=212ebeb225fae10db4dbb4c4a1a4f3fd2d100f42&h=libreoffice-5-2

tdf#98226: fix undo of table AutoFormat

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.